const userModule = {
  namespaced: true,
  state: () => ({
    id: null,
    nickname: '',
    avatar: '',
    sign: '',
    online: false,
    verify: 0,
  }),
  mutations: {
    SET_USER(state, user) {
      Object.assign(state, user)
    },
    
    
  },
  actions: {
    updateUser({ commit }, user) {
      commit('SET_USER', user)
    }
  },
  getters: {
    currentUser: state => state
  }
}

export default userModule